Subject: Re: bug#3953: 23.0.94; GPG interaction fails

From: Torsten Bronger <[email-masked]>
Date: Wed, 29 Jul 2009 21:26:05 +0200

Hallöchen!

Daiki Ueno writes:

> [...]
>
>>> Does replacing (sleep-for 0.1) with:
>>>
>>> (epg--process-filter (epg-context-process context) "")
>>>
>>> change the situation?
>
>> It has the same effect as (sleep-for 0.1): It helps, but only
>> slightly.
>
> Hmm, is your epg-debug output as innocent as the one that the original
> reporter provided?

It's every time:

gpg --no-tty --status-fd 1 --yes --command-fd 0 --output /tmp/epg-output6267bsQ -
[GNUPG:] PLAINTEXT 74 0 
gpg: Signatur am Mo 29 Jun 2009 10:31:28 CEST mit DSA Schlüssel, ID 9F516B77, erfolgt
[GNUPG:] SIG_ID jkbjBUZ5Lu5ozCYNw6Tsx9qYwsY 2009-06-29 1246264288
[GNUPG:] GOODSIG D5E3CEFC9F516B77 Torsten Bronger <[email-masked]>
gpg: Korrekte Unterschrift von 'Torsten Bronger <[email-masked]>'
[GNUPG:] VALIDSIG C5C8D6E279D2EFE98C0F6D77D5E3CEFC9F516B77 2009-06-29 1246264288 0 3 0 17 2 01 C5C8D6E279D2EFE98C0F6D77D5E3CEFC9F516B77
[GNUPG:] TRUST_ULTIMATE

> Currently, I suspect that the code in the following clause might be
> skipped:
>
> (unless epg-process-filter-running ...)
>
> Can you insert debug-prints in epg-wait-for-completion?  It would be
> something like:
>
> (message "epg-process-filter-running: %S" epg-process-filter-running)

And where should I put it exactly?  (I don't speak Lisp.)  I now
wrote

	(unless epg-process-filter-running
	  (message "epg-process-filter-running: %S" epg-process-filter-running)

And then, *Messages* say

epg-process-filter-running: nil

Tschö,
Torsten.

-- 
Torsten Bronger, aquisgrana, europa vetus
                   Jabber ID: [email-masked]
                                  or http://bronger-jmp.appspot.com